org.apache.fop.render.pdf.extensions

## Class PDFObjectExtension

- java.lang.Object
- - org.apache.fop.render.pdf.extensions.PDFObjectExtension

- Direct Known Subclasses:
    PDFCollectionEntryExtension

      public class PDFObjectExtension
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getElementName()`
    `PDFObjectType` | `getType()`
    `Object` | `getValue()`
    `Boolean` | `getValueAsBoolean()` Obtain entry value as Boolean.
    `Number` | `getValueAsNumber()` Obtain entry value as Number.
    `String` | `getValueAsString()`
    `String` | `getValueAsXMLEscapedString()`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getType

          public PDFObjectType getType()

    - #### setValue

          public void setValue(Object value)

    - #### getValue

          public Object getValue()

    - #### getValueAsBoolean

          public Boolean getValueAsBoolean()

      Obtain entry value as Boolean.
      Returns:
        entry value

    - #### getValueAsNumber

          public Number getValueAsNumber()

      Obtain entry value as Number.
      Returns:
        entry value

    - #### getValueAsString

          public String getValueAsString()

    - #### getValueAsXMLEscapedString

          public String getValueAsXMLEscapedString()

    - #### getElementName

          public String getElementName()

Copyright © 2023 Apache Software Foundation. All rights reserved.